@charset "utf-8";

@import url('https://fonts.googleapis.com/css2?family=Public+Sans:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

* {
	margin: 0;
	padding: 0;
	-webkit-font-smoothing: antialiased;
	-webkit-text-shadow: rgba(0,0,0,.01) 0 0 1px;
	text-shadow: rgba(0,0,0,.01) 0 0 1px;
}

body {
	font-family: 'Public Sans', sans-serif;
	font-size: 14px;
	background-color: #f5f3dd;
}

div {
	display: block;
	position: relative;
	-webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

ul {
	list-style: none;
	margin-bottom: 0px;
}

p {
	font-family: 'Public Sans', sans-serif;
	font-size: 16px;
	line-height: 1.75;
	color: #000000;
	-webkit-font-smoothing: antialiased;
	-webkit-text-shadow: rgba(0,0,0,.01) 0 0 1px;
	text-shadow: rgba(0,0,0,.01) 0 0 1px;
	padding: 12px;
}

p a {
	display: inline;
	position: relative;
	-webkit-transition: all 200ms ease;
	-moz-transition: all 200ms ease;
	-ms-transition: all 200ms ease;
	-o-transition: all 200ms ease;
	transition: all 200ms ease;
}

p:last-of-type {
	margin-bottom: 0;
}

a, a:visited, a:active, a:link {
	color: #849dc0;
}

a:hover {
	color: #89cff0;
}

p a:active {
	position: relative;
}

p a:hover::after {
	opacity: 0.2;
}

::selection {
	background: #eb6bcd;
}

h1{font-size: 48px;}
h2{font-size: 36px;}
h3{font-size: 24px;}
h4{font-size: 18px;}
h5{font-size: 14px;}
h1, h2, h3, h4, h5, h6 {
	font-family: 'Public Sans', sans-serif;
	/* -webkit-font-smoothing: antialiased;
	-webkit-text-shadow: rgba(0,0,0,.01) 0 0 1px;
	text-shadow: rgba(0,0,0,.01) 0 0 1px; */
	padding-left: 12px;
}

section {
	display: block;
	position: relative;
	box-sizing: border-box;
}

.clear {
	clear: both;
}

.clearfix::before, .clearfix::after {
	content: "";
	display: table;
}

.clearfix::after {
	clear: both;
}

.clearfix {
	zoom: 1;
}
.float_left {
	float: left;
}

.float_right {
	float: right;
}

.fill_height {
	height: 100%;
}

.background_image {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background-repeat: no-repeat;
	background-size: cover;
	background-position: center center;
}

.nopadding {
	padding: 0px !important;
}

.img {
	min-height:100px;
	pointer-events: none;
	user-select: none;
}

#myVideo {
	top: -25%;
	z-index: -1;
	width:100%;
}

.content_container {
	width: 100%;
	height: 100%;
}

.main_content_outer {
	width: 100%;
	height: 100%;
	background: #f5f3dd;
	overflow: hidden;
	margin-top: -24px;
	min-height: 100vh; 
	padding-top: 60px;
}

.general_info
{
	left: -12px;
	top: -24px;
	width: 473px;
	background: #f5f3dd;
}

.general_info_fixed
{
	position: fixed;
	width: 468px;
	left: 6px;
	top: 5%;
}

.general_info_image {
	text-align: center;
	margin-left: auto;
	margin-right: auto;
	display: block;
	width: 75%;
	height: auto;
	max-width: 468px;
	top: 36px;
}

.general_info_content {
	position:relative;
	width: 100%;
	height: 100%;
	padding-left: 25px;
	padding-top: 36px;
	padding-right: 15px;
	padding-bottom: 25px;
	top:60px;
	overflow: hidden;
}

.general_info_content_inner {
	width: 100%;
	max-height: 100%;
}

.general_info_title {
	font-size: 30px;
	font-weight: 600;
	color: #000000;
	line-height: 1.2;
	text-align: center;
}

.general_info_list {
	margin-top: 8px;
}

.general_info_list li:not(:last-child) {
	margin-bottom: 15px;
}

.general_info_icon {
	width: 21px;
	height: 21px;
	margin-right: 24px;
}

.general_info_icon img {
	max-width: 100%;
}

.general_info_text,
.general_info_text a {
	font-size: 14px;
	color: #000000;
	padding: 24px;
	margin-top:24px;
	bottom:12px;
}

.general_info_text a {
	-webkit-transition: all 200ms ease;
	-moz-transition: all 200ms ease;
	-ms-transition: all 200ms ease;
	-o-transition: all 200ms ease;
	transition: all 200ms ease;
}

.general_info_text span {
	color: #000000;
}

.social_container {
	margin:26px;
	bottom:26px;
}

.social_container ul li:not(:last-child) {
	margin-right: 28px;
}

.social_container ul li a i {
	font-size: 18px;
	color: #000000;
	-webkit-transition: all 200ms ease;
	-moz-transition: all 200ms ease;
	-ms-transition: all 200ms ease;
	-o-transition: all 200ms ease;
	transition: all 200ms ease;
}

.social_container ul li a i:hover {
	color: #89cff0;
}

.main_content {
	width: 100%;
	background: #f5f3dd;
	padding-top: 24px;
	padding-bottom: 24px;
}

.main_title_container {
	display: grid;
	grid-column: 4/4;
	width: 100%;
	margin-bottom: 18px;
}

.main_subtitle {
	font-size: 26px;
	font-weight: 500;
	color: #000000;
	line-height: 0.75;
	margin: 12px;
}

.main_title {
	font-family: 'Public Sans', sans-serif;
	font-size: 60px;
	font-weight: 800;
	color: #000000;
	line-height: 1.2;
	margin-top: 48px;
	text-align: left;
}

.main_title_small {
	font-family: 'Public Sans', sans-serif;
	font-size: 42px;
	font-weight: 625;
	color: #000000;
	margin: 12px;
	padding: 12px;
	text-align: left;
}

.about_content {
	background-color: #C8EAFA;
	padding: 24px;
}

.about_title {
	padding: 12px;
	font-size: 30px;
	font-weight: 700;
	color: #000000;
}

.about_text {
	padding: 12px;
}

.navbar {
	background-color: #457B9D;
	font-size: larger;
	position:fixed !important;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 1000;
}

.navbar a {
	color: #000000;
}

.navbar a:hover {
	color: #89cff0;
}

.navbar-toggler {
	color:#000;
	background-color: #f5f3dd;
}

.navbar-toggler:hover {
	background-color: #89cff0;
}

.grid-container {
	display: grid;
	grid-template-columns: calc((100% - 250px) / 3.35) calc((100% - 250px) / 3.35) calc((100% - 250px) / 3.35) calc((100% - 250px) / 3.35);
	grid-auto-rows: auto;
	grid-gap: 10px;
}

.grid-item {
	display: flex;
	align-items: center;
	justify-content: center;
}

.portfolio_grid {
	width: 100%;
	text-align: center;
	align-content: center;
}

.portfolio_img {
	width: 100%;
	height: auto;
}

/***************************
Custom Accordion Grid From https://github.com/robmclarty/css-grid-with-accordion
***************************/
  
  .example-webpage-content {
	line-height: 1.5em;
	margin-bottom: 50px;
  }
  
  .example-webpage-content h1 {
	font-size: 70px;
	line-height: 70px;
  }
  
  .example-container {
	padding: 36px;
  }
  
  /* ========================= card grid styles ========================= */
  
  /* ===== general ===== */
  .card-grid,
  .card-grid:before,
  .card-grid:after,
  .card-grid *,
  .card-grid *:before,
  .card-grid *:after  {
	box-sizing: border-box;
	text-align: left;
	background-color: #1D3557;
	border: none;
  }
  
  .card-grid {
	display: grid;
	width: 100%;
	grid-gap: 0;
	grid-template-columns: repeat(4, 25%);
	margin: 0;
	padding: 0;
	background-color: #e1e1db;
	font-kerning: normal;
	font-weight: 400;
	letter-spacing: normal;
	background-color: #f5f3dd;
	border: none;
  }

  .card-grid p, .card-grid h1, .card-grid h2, .card-grid h3, .card-grid h4 {
	  color: #F1FAEE;
	  /* background-color: #000000; */
	  /* margin-top: -4px; */
  }
  
  /* ===== card/button ===== */
  .card {
	margin: 6px;
	padding: 6px;
	min-height: 200px;
	overflow: hidden;
  }

  .card:hover {
	background-color: #89cff0;
  }
  
  .hidden,
  .card.hidden,
  .card-button.hidden,
  .card-details-body.hidden
  {
	display: none;
  }
  
  .card > div {
	height: 100%;
  }
  
  .card-button {
	display: block;
	position: relative;
	height: 100%;
	margin: 0;
	padding: 12% 12% 3em 12%;
	text-align: left;
	color: inherit;
	background-color: transparent;
	cursor: pointer;
  }
  .card-button:hover {
	text-decoration: none;
  }
  
  .card-text {
	display: block;
	margin: 0 0 1.8em 0;
	line-height: 1.1em;
	font-weight: bold;
  }
  
  .card-icon {
	display: inline-block;
	position: absolute;
	bottom: 3em;
	left: 12%;
	padding: 0;
	margin: 0;
	border-radius: 50%;
	border: 2px solid #000;
	width: 39px;
	height: 39px;
  }
  
  .card-icon::after {
	display: inline-block;
	width: 35px;
	height: 35px;
	font-family: 'Ionicons';
	font-size: 35px;
	font-weight: 300;
	line-height: 35px;
	text-align: center;
	content: '\f218';
	text-decoration: none;
	transform: rotate(0deg);
	transform-origin: center center;
  }
  
  .card-icon.card-close::after {
	transform: rotate(45deg);
  }
  
  /* ===== details ===== */
  .card-details {
	display: none;
	grid-column: 1 / 5;
	grid-row: 2 / 3;
	z-index: 10;
  }
  
  .card-details-body {
	position: relative;
	font-size: 1.5vw;
	line-height: 1.5em;
  }
  
  .card-details-description {
	display: inline-block;
	width: auto;
	padding: 4em;
  }
  
  .card-details-description p:first-child {
	margin-top: 0;
  }
  
  .card-details-sidebar {
	display: block;
	float: right;
	width: 33%;
	padding: 4em 4em 4em 0;
  }
  
  .card-details-sidebar h3 {
	margin: 0;
	font-size: 7.5vw;
	line-height: 7.5vw;
	font-weight: 500;
	letter-spacing: -3px;
  }
  
  .card-details-sidebar p {
	margin-top: 0;
  }
  
  .card-details-subtitle {
	font-weight: 400;
	font-size: 3vw;
	letter-spacing: normal;
  }
  
  /* ===== media query overrides ===== */

  @media (min-width: 1681px) { /* 6 columns */
	.card-grid {
	  grid-template-columns: repeat(6, 16.67%);
	}
	.card-details {
		grid-column: 1 / 7;
		grid-row: 2 / 3;
	}
	.card-text {
	  font-size: 42px;
	}
	.card-details-body {
	  font-size: 24px;
	}
	.card-details-sidebar h3 {
	  font-size: 80px;
	}
	.card-details-subtitle {
	  font-size: 24px;
	}
  }
  
  @media (max-width: 1680px) { /* 5 columns */
	.card-grid {
	  grid-template-columns: repeat(5, 20%);
	}
	.card-details {
		grid-column: 1 / 6;
		grid-row: 2 / 3;
	}
	.card-text {
	  font-size: 42px;
	}
	.card-details-body {
	  font-size: 24px;
	}
	.card-details-sidebar h3 {
	  font-size: 80px;
	}
	.card-details-subtitle {
	  font-size: 24px;
	}
  }

  @media (max-width: 1360px) { /* 4 columns */
	.card-grid {
	  grid-template-columns: repeat(4, 25%);
	}
	.card-details {
		grid-column: 1 / 5;
		grid-row: 2 / 3;
	}
	.card-text {
	  font-size: 42px;
	}
	.card-details-body {
	  font-size: 24px;
	}
	.card-details-sidebar h3 {
	  font-size: 80px;
	}
	.card-details-subtitle {
	  font-size: 24px;
	}
  }
  
  @media (max-width: 1086px) { /* 3 columns */
	.card-grid {
	  grid-template-columns: repeat(3, 33.3333%);
	}
	.card-details {
	  grid-column: 1 / 4;
	  grid-row: 2 / 3;
	}
	.card-text {
	  font-size: 3.8vw;
	}
	.card-details-body {
	  font-size: 2vw;
	}
  }
  
  @media (max-width: 800px) { /* 2 columns */
	.card-grid  {
	  grid-template-columns: repeat(2, 50%);
	}
	.card-details {
	  grid-column: 1 / 3;
	  grid-row: 2 / 3;
	}
	.card-text {
	  font-size: 5.5vw;
	}
	.card-details-body {
	  font-size: 3vw;
	}
	.card-details-description {
	  width: 100%;
	  padding: 3em;
	}
	.card-details-description p:last-child {
	  margin-bottom: 0;
	}
	.card-details-sidebar {
	  width: 100%;
	  position: relative;
	  padding: 0 3em 3em 3em;
	}
	.card-details-sidebar h3 {
	  font-size: 12vw;
	  line-height: 12vw;
	}
	.card-details-subtitle {
	  font-size: 5vw;
	  line-height: 5vw;
	}
  }
  
  @media (max-width: 520px) { /* 1 column */
	.card-grid {
	  grid-template-columns: repeat(1, 100%);
	}
	.card-details {
	  grid-column: 1 / 2;
	  grid-row: 3 / 4;
	}
	.card-button {
	  padding: 3em;
	}
	.card-text {
	  font-size: 35px;
	  margin-bottom: 2em;
	}
	.card-icon {
	  left: 3em;
	}
	.card-details-body {
	  font-size: 16px;
	}
	.card-details-description {
	  padding-top: 0;
	}
  
	/* NOTE: This is external to the actual grid styles and may be controlled by
	the outer page styles wherever the grid is inserted. */
	.example-container {
	  padding: 0;
	}
  }

  .grid__description {
	margin: 18px;
  }

.project-description-column {
	float: left;
	width: 50%;
	padding: 10px;
	border: none;
  }
  
  .project-description-row:after {
	content: "";
	display: table;
	clear: both;
	border: none;
  }

.experience {
	width: 100%;
	padding-bottom: 65px;
}

.exp_item:not(:last-child) {
	margin-bottom: 53px;
}

.exp_time {
	font-family: 'Public Sans', sans-serif;
	width: 181px;
	font-size: 36px;
	font-weight: 700;
	color: #000000;
	text-align: right;
	white-space: nowrap;
	padding-top: 10px;
}

.exp_title {
	font-family: 'Public Sans', sans-serif;
	font-size: 36px;
	font-weight: 700;
	color: #000000;
}

.exp_subtitle {
	font-size: 24px;
	font-weight: 600;
	color: #000000;
	margin-top: 7px;
}

.exp_text {
	
}

.skills {
	width: 100%;
}

.skills_text {
	width: 100%;
}

.skills_text .container-fluid {
	padding-right: 36px;
	padding-left: 36px;
	padding-top: 36;
}

.achievements {
	width: 100%;
	margin-top: 48px;
}

.achievement {
	width: 33%;
	float: left;
}

.skill {
	width: 25%;
	float: left;
}

.achievement_counter {
	font-family: 'Public Sans', sans-serif;
	font-size: 48px;
	font-weight: 800;
	color: #000000;
	margin-top: 6px;
}

.achievement_text {
	font-family: 'Public Sans', sans-serif;
	font-size: 24px;
	font-weight: 500;
	color: #000000;
	margin-top: -1px;
}

.achievement_subtitle_text {
	font-size: 14px;
	font-weight: 400;
	color: #000000;
	margin-top: -1px;
	padding-bottom: 12px;
}

.achievement_img {
	max-width: 90px;
	max-height: 90px;
}

.skills {
	width: 100%;
}

.skill_item {
	max-width: 35%;
}

.skill_year {
	font-size: 16px;
	font-weight: 500;
	color: #000000;
	line-height: 1.2;
	padding-top: 12px;
}

.skill_image {
	width: 90px;
	height: 90px;
	text-align: center;
	margin-left: 10%;
}

.skill_image img {
	max-width: 100%;
}

.skill_content {
	padding-left: 14.5%;
	padding-right: 14.5%;
	padding-bottom: 7%;
	padding-top: 7%;
	min-height:200px;
	align-content: center;
	text-align: center;
}

.skill_title
{
	font-family: 'Public Sans', sans-serif;
	font-size: 26px;
	font-weight: 700;
	color: #000000;
	line-height: 1.2;
	padding-top: 12px;
}

.skill_subtitle {
	font-size: 14px;
	font-weight: 450;
	color: #000000;
}

.education {
	width: 100%;
	padding: 36px;
}

.edu_item {
	padding-top: 9px;
}

.edu_item:not(:last-child) {
	margin-bottom: 44px;
}

.edu_year {
	font-family: 'Public Sans', sans-serif;
	font-size: 28px;
	font-weight: 700;
	color: #000000;
}

.edu_image {
	width: 90px;
	height: 90px;
}

.edu_image img {
	max-width: 100%;
}

.edu_content {
	padding-left: 38px;
}

.edu_title {
	font-family: 'Public Sans', sans-serif;
	font-size: 36px;
	font-weight: 700;
	color: #000000;
}

.edu_subtitle {
	font-size: 26px;
	font-weight: 600;
	color: #000000;
	margin-top: 12px;
}

  .center-image {
	margin: 0;
	position: absolute;
	top: 550%;
	left: 50%;
	-ms-transform: translate(-50%, -50%);
	transform: translate(-50%, -50%);
  }

  pre, code {
	font-family: monospace, monospace;
  }

  pre {
	overflow: auto;
  }

  pre > code {
	display: block;
	padding: 1rem;
	word-wrap: normal;
	padding-top: 3rem;
  }

  figure {
	background-color: #F1FAEE;
	position: relative;
	overflow-x: scroll;
	overflow-y: scroll;
	max-height: 400px;
	z-index: 2;
  }

  figcaption {
	position: absolute;
	top: 1.3rem;
	left: 2.5rem;
	text-align: center;
	color:#F1FAEE;
	background-color: #00000000;
  }

  #myBtn {
	display: none;
	position: fixed;
	bottom: 20px;
	right: 30px;
	z-index: 99;
	border: none;
	outline: none;
	background-color: #457B9D;
	color: #000;
	cursor: pointer;
	padding: 15px;
	border-radius: 10px;
	font-size: 18px;
	max-height: 60px;
	max-width: 60px;
  }
  
  #myBtn:hover {
	background-color: #89cff0;
  }